#
# Copyright (c) SAS Institute Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


# Generated from http://download.freshmeat.net/backend/fm-trove.rdf

LicenseCategories = {
        "13": "License",
        "1021": "License :: Affero General Public License",
        "826": "License :: Aladdin Free Public License (AFPL)",
        "996": "License :: DFSG approved",
        "819": "License :: Eiffel Forum License (EFL)",
        "844": "License :: Free For Educational Use",
        "995": "License :: Free For Home Use",
        "808": "License :: Free for non-commercial use",
        "828": "License :: Free To Use But Restricted",
        "827": "License :: Freely Distributable",
        "824": "License :: Freeware",
        "832": "License :: Netscape Public License (NPL)",
        "820": "License :: Nokia Open Source License (NOKOS)",
        "14": "License :: OSI Approved",
        "1014": "License :: OSI Approved :: Academic Free License (AFL)",
        "17": "License :: OSI Approved :: Artistic License",
        "187": "License :: OSI Approved :: BSD License (original)",
        "1023": "License :: OSI Approved :: BSD License (revised)",
        "888": "License :: OSI Approved :: Common Public License",
        "885": "License :: OSI Approved :: GNAT Modified GPL (GMGPL)",
        "807": "License :: OSI Approved :: GNU Free Documentation License (FDL)",
        "15": "License :: OSI Approved :: GNU General Public License (GPL)",
        "16": "License :: OSI Approved :: GNU Lesser General Public License (LGPL)",
        "984": "License :: OSI Approved :: Guile license",
        "191": "License :: OSI Approved :: IBM Public License",
        "188": "License :: OSI Approved :: MIT/X Consortium License",
        "192": "License :: OSI Approved :: MITRE Collaborative Virtual Workspace License (CVW)",
        "189": "License :: OSI Approved :: Mozilla Public License (MPL)",
        "1004": "License :: OSI Approved :: Open Software License",
        "902": "License :: OSI Approved :: Perl License",
        "194": "License :: OSI Approved :: Python License",
        "190": "License :: OSI Approved :: Q Public License (QPL)",
        "193": "License :: OSI Approved :: Ricoh Source Code Public License",
        "899": "License :: OSI Approved :: SUN Public License",
        "891": "License :: OSI Approved :: W3C License",
        "195": "License :: OSI Approved :: zlib/libpng License",
        "196": "License :: Other/Proprietary License",
        "818": "License :: Other/Proprietary License with Free Trial",
        "829": "License :: Other/Proprietary License with Source",
        "197": "License :: Public Domain",
        "812": "License :: Shareware",
        "830": "License :: SUN Binary Code License",
        "831": "License :: SUN Community Source License",
        "833": "License :: The Apache License",
        "1082": "License :: The Apache License 2.0",
        "838": "License :: The Clarified Artistic License",
        "883": "License :: The Latex Project Public License (LPPL)",
        "882": "License :: The Open Content License",
        "814": "License :: The PHP License",
        "815": "License :: Voxel Public License (VPL)",
        "1008": "License :: WTFPL",
        "837": "License :: Zope Public License (ZPL)",
}

TroveCategories = {
        "6": "Development Status",
        "7": "Development Status :: 1 - Planning (disabled category)",
        "8": "Development Status :: 2 - Pre-Alpha",
        "9": "Development Status :: 3 - Alpha",
        "10": "Development Status :: 4 - Beta",
        "11": "Development Status :: 5 - Production/Stable",
        "12": "Development Status :: 6 - Mature",
        "225": "Environment",
        "880": "Environment :: Console (Framebuffer Based)",
        "881": "Environment :: Console (svgalib Based)",
        "226": "Environment :: Console (Text Based)",
        "227": "Environment :: Console (Text Based) :: Curses",
        "228": "Environment :: Console (Text Based) :: Newt",
        "1035": "Environment :: Handheld",
        "1037": "Environment :: Handheld :: Media Player",
        "1038": "Environment :: Handheld :: Mobile Phone",
        "1036": "Environment :: Handheld :: PDA",
        "1040": "Environment :: Handheld :: PDA :: Qtopia",
        "840": "Environment :: MacOS X",
        "841": "Environment :: MacOS X :: Aqua",
        "842": "Environment :: MacOS X :: Carbon",
        "843": "Environment :: MacOS X :: Cocoa",
        "238": "Environment :: No Input/Output (Daemon)",
        "233": "Environment :: Other Environment",
        "811": "Environment :: Plugins",
        "237": "Environment :: Web Environment",
        "1003": "Environment :: Web Environment :: Mozilla",
        "230": "Environment :: Win32 (MS Windows)",
        "229": "Environment :: X11 Applications",
        "231": "Environment :: X11 Applications :: Gnome",
        "870": "Environment :: X11 Applications :: GTK",
        "232": "Environment :: X11 Applications :: KDE",
        "871": "Environment :: X11 Applications :: Qt",
        "1": "Intended Audience",
        "1089": "Intended Audience :: Advanced End Users",
        "3": "Intended Audience :: Developers",
        "2": "Intended Audience :: End Users/Desktop",
        "5": "Intended Audience :: Other Audience",
        "821": "Intended Audience :: Quality Engineers",
        "4": "Intended Audience :: System Administrators",
        "1041": "Network Environment",
        "1044": "Network Environment :: IP",
        "1042": "Network Environment :: IP :: IPv4",
        "1043": "Network Environment :: IP :: IPv6",
        "199": "Operating System",
        "224": "Operating System :: BeOS",
        "221": "Operating System :: MacOS",
        "839": "Operating System :: MacOS X",
        "214": "Operating System :: Microsoft",
        "215": "Operating System :: Microsoft :: MS-DOS",
        "216": "Operating System :: Microsoft :: Windows",
        "1083": "Operating System :: Microsoft :: Windows :: Cygwin",
        "217": "Operating System :: Microsoft :: Windows :: Windows 3.1 or Earlier",
        "218": "Operating System :: Microsoft :: Windows :: Windows 95/98/ME",
        "222": "Operating System :: Microsoft :: Windows :: Windows CE",
        "219": "Operating System :: Microsoft :: Windows :: Windows NT/2000/XP",
        "235": "Operating System :: OS Independent",
        "220": "Operating System :: OS/2",
        "236": "Operating System :: Other OS",
        "223": "Operating System :: PalmOS",
        "200": "Operating System :: POSIX",
        "210": "Operating System :: POSIX :: AIX",
        "202": "Operating System :: POSIX :: BSD",
        "206": "Operating System :: POSIX :: BSD :: BSD/OS",
        "203": "Operating System :: POSIX :: BSD :: FreeBSD",
        "204": "Operating System :: POSIX :: BSD :: NetBSD",
        "205": "Operating System :: POSIX :: BSD :: OpenBSD",
        "240": "Operating System :: POSIX :: GNU/Hurd",
        "209": "Operating System :: POSIX :: HP-UX",
        "211": "Operating System :: POSIX :: IRIX",
        "201": "Operating System :: POSIX :: Linux",
        "212": "Operating System :: POSIX :: Other",
        "208": "Operating System :: POSIX :: SCO",
        "207": "Operating System :: POSIX :: SunOS/Solaris",
        "1039": "Operating System :: SymbianOS",
        "900": "Operating System :: Unix",
        "160": "Programming Language",
        "163": "Programming Language :: Ada",
        "161": "Programming Language :: APL",
        "184": "Programming Language :: ASP",
        "162": "Programming Language :: Assembly",
        "848": "Programming Language :: Awk",
        "878": "Programming Language :: Basic",
        "164": "Programming Language :: C",
        "892": "Programming Language :: C#",
        "165": "Programming Language :: C++",
        "262": "Programming Language :: Cold Fusion",
        "1028": "Programming Language :: Common Lisp",
        "265": "Programming Language :: Delphi",
        "825": "Programming Language :: Dylan",
        "166": "Programming Language :: Eiffel",
        "869": "Programming Language :: Emacs-Lisp",
        "264": "Programming Language :: Erlang",
        "167": "Programming Language :: Euler",
        "263": "Programming Language :: Euphoria",
        "168": "Programming Language :: Forth",
        "169": "Programming Language :: Fortran",
        "1097": "Programming Language :: Groovy",
        "834": "Programming Language :: Haskell",
        "198": "Programming Language :: Java",
        "1034": "Programming Language :: Java :: J2ME",
        "816": "Programming Language :: JavaScript",
        "170": "Programming Language :: Lisp",
        "171": "Programming Language :: Logo",
        "1095": "Programming Language :: Lua",
        "172": "Programming Language :: ML",
        "173": "Programming Language :: Modula",
        "258": "Programming Language :: Object Pascal",
        "174": "Programming Language :: Objective C",
        "983": "Programming Language :: OCaml",
        "213": "Programming Language :: Other",
        "817": "Programming Language :: Other Scripting Engines",
        "175": "Programming Language :: Pascal",
        "176": "Programming Language :: Perl",
        "183": "Programming Language :: PHP",
        "985": "Programming Language :: Pike",
        "254": "Programming Language :: PL/SQL",
        "896": "Programming Language :: Pliant",
        "255": "Programming Language :: PROGRESS",
        "177": "Programming Language :: Prolog",
        "178": "Programming Language :: Python",
        "1096": "Programming Language :: REALbasic",
        "179": "Programming Language :: Rexx",
        "835": "Programming Language :: Ruby",
        "242": "Programming Language :: Scheme",
        "180": "Programming Language :: Simula",
        "181": "Programming Language :: Smalltalk",
        "823": "Programming Language :: SQL",
        "182": "Programming Language :: Tcl",
        "185": "Programming Language :: Unix Shell",
        "186": "Programming Language :: Visual Basic",
        "261": "Programming Language :: XBasic",
        "1000": "Programming Language :: YACC",
        "267": "Programming Language :: Zope",
        "18": "Topic",
        "887": "Topic :: Adaptive Technologies",
        "901": "Topic :: Artistic Software",
        "20": "Topic :: Communications",
        "21": "Topic :: Communications :: BBS",
        "22": "Topic :: Communications :: Chat",
        "26": "Topic :: Communications :: Chat :: AOL Instant Messenger",
        "23": "Topic :: Communications :: Chat :: ICQ",
        "24": "Topic :: Communications :: Chat :: Internet Relay Chat",
        "25": "Topic :: Communications :: Chat :: Unix Talk",
        "27": "Topic :: Communications :: Conferencing",
        "28": "Topic :: Communications :: Email",
        "889": "Topic :: Communications :: Email :: Address Book",
        "31": "Topic :: Communications :: Email :: Email Clients (MUA)",
        "29": "Topic :: Communications :: Email :: Filters",
        "32": "Topic :: Communications :: Email :: Mail Transport Agents",
        "30": "Topic :: Communications :: Email :: Mailing List Servers",
        "33": "Topic :: Communications :: Email :: Post-Office",
        "35": "Topic :: Communications :: Email :: Post-Office :: IMAP",
        "34": "Topic :: Communications :: Email :: Post-Office :: POP3",
        "36": "Topic :: Communications :: Fax",
        "37": "Topic :: Communications :: FIDO",
        "251": "Topic :: Communications :: File Sharing",
        "1029": "Topic :: Communications :: File Sharing :: Direct Connect",
        "241": "Topic :: Communications :: File Sharing :: Napster",
        "38": "Topic :: Communications :: Ham Radio",
        "40": "Topic :: Communications :: Internet Phone",
        "247": "Topic :: Communications :: Telephony",
        "39": "Topic :: Communications :: Usenet News",
        "66": "Topic :: Database",
        "1088": "Topic :: Database :: API",
        "67": "Topic :: Database :: Database Engines/Servers",
        "68": "Topic :: Database :: Front-Ends",
        "55": "Topic :: Desktop Environment",
        "965": "Topic :: Desktop Environment :: Application Themes",
        "1084": "Topic :: Desktop Environment :: Application Themes :: Boot Splash",
        "967": "Topic :: Desktop Environment :: Application Themes :: Galeon",
        "969": "Topic :: Desktop Environment :: Application Themes :: GKrellM",
        "992": "Topic :: Desktop Environment :: Application Themes :: Login Managers",
        "991": "Topic :: Desktop Environment :: Application Themes :: Login Managers :: GDM",
        "993": "Topic :: Desktop Environment :: Application Themes :: Login Managers :: KDM",
        "994": "Topic :: Desktop Environment :: Application Themes :: Login Managers :: WDM",
        "980": "Topic :: Desktop Environment :: Application Themes :: Login Managers :: XDM",
        "968": "Topic :: Desktop Environment :: Application Themes :: Mozilla",
        "1024": "Topic :: Desktop Environment :: Application Themes :: MPlayer",
        "977": "Topic :: Desktop Environment :: Application Themes :: Nautilus",
        "979": "Topic :: Desktop Environment :: Application Themes :: Shells",
        "966": "Topic :: Desktop Environment :: Application Themes :: XMMS",
        "860": "Topic :: Desktop Environment :: File Managers",
        "850": "Topic :: Desktop Environment :: Fonts",
        "58": "Topic :: Desktop Environment :: Gnome",
        "923": "Topic :: Desktop Environment :: Gnome :: GTK 1.x Themes",
        "958": "Topic :: Desktop Environment :: Gnome :: GTK 2.x Themes",
        "988": "Topic :: Desktop Environment :: Gnome :: Metathemes",
        "806": "Topic :: Desktop Environment :: GNUstep",
        "57": "Topic :: Desktop Environment :: K Desktop Environment (KDE)",
        "61": "Topic :: Desktop Environment :: K Desktop Environment (KDE) :: Themes KDE 1.x",
        "956": "Topic :: Desktop Environment :: K Desktop Environment (KDE) :: Themes KDE 2.x",
        "957": "Topic :: Desktop Environment :: K Desktop Environment (KDE) :: Themes KDE 3.x",
        "970": "Topic :: Desktop Environment :: PicoGUI",
        "971": "Topic :: Desktop Environment :: PicoGUI :: Applications",
        "972": "Topic :: Desktop Environment :: PicoGUI :: Themes",
        "62": "Topic :: Desktop Environment :: Screen Savers",
        "930": "Topic :: Desktop Environment :: Theme",
        "931": "Topic :: Desktop Environment :: Theme :: Adult",
        "932": "Topic :: Desktop Environment :: Theme :: Animals",
        "933": "Topic :: Desktop Environment :: Theme :: Anime",
        "934": "Topic :: Desktop Environment :: Theme :: Art",
        "942": "Topic :: Desktop Environment :: Theme :: Cartoons",
        "938": "Topic :: Desktop Environment :: Theme :: Computers",
        "954": "Topic :: Desktop Environment :: Theme :: Engine",
        "943": "Topic :: Desktop Environment :: Theme :: Fantasy",
        "947": "Topic :: Desktop Environment :: Theme :: Holiday",
        "950": "Topic :: Desktop Environment :: Theme :: Misc",
        "940": "Topic :: Desktop Environment :: Theme :: Movies",
        "935": "Topic :: Desktop Environment :: Theme :: Music",
        "939": "Topic :: Desktop Environment :: Theme :: Nature",
        "952": "Topic :: Desktop Environment :: Theme :: Operating Systems",
        "936": "Topic :: Desktop Environment :: Theme :: People",
        "951": "Topic :: Desktop Environment :: Theme :: Pixmap",
        "944": "Topic :: Desktop Environment :: Theme :: Places",
        "953": "Topic :: Desktop Environment :: Theme :: Plain",
        "949": "Topic :: Desktop Environment :: Theme :: Products",
        "937": "Topic :: Desktop Environment :: Theme :: Science Fiction",
        "945": "Topic :: Desktop Environment :: Theme :: Sports",
        "948": "Topic :: Desktop Environment :: Theme :: Vehicles",
        "946": "Topic :: Desktop Environment :: Theme :: Video Games",
        "941": "Topic :: Desktop Environment :: Theme :: Web",
        "973": "Topic :: Desktop Environment :: Theme Resources",
        "974": "Topic :: Desktop Environment :: Theme Resources :: Backgrounds",
        "982": "Topic :: Desktop Environment :: Theme Resources :: Cursors",
        "975": "Topic :: Desktop Environment :: Theme Resources :: Fonts",
        "976": "Topic :: Desktop Environment :: Theme Resources :: Icons",
        "1007": "Topic :: Desktop Environment :: Theme Resources :: Sounds",
        "1094": "Topic :: Desktop Environment :: Tools",
        "56": "Topic :: Desktop Environment :: Window Managers",
        "921": "Topic :: Desktop Environment :: Window Managers :: Afterstep",
        "922": "Topic :: Desktop Environment :: Window Managers :: Afterstep :: Themes",
        "890": "Topic :: Desktop Environment :: Window Managers :: Applets",
        "919": "Topic :: Desktop Environment :: Window Managers :: Blackbox",
        "920": "Topic :: Desktop Environment :: Window Managers :: Blackbox :: Themes",
        "998": "Topic :: Desktop Environment :: Window Managers :: CTWM",
        "999": "Topic :: Desktop Environment :: Window Managers :: CTWM :: Themes",
        "59": "Topic :: Desktop Environment :: Window Managers :: Enlightenment",
        "877": "Topic :: Desktop Environment :: Window Managers :: Enlightenment :: Epplets",
        "959": "Topic :: Desktop Environment :: Window Managers :: Enlightenment :: Themes DR15",
        "60": "Topic :: Desktop Environment :: Window Managers :: Enlightenment :: Themes DR16",
        "978": "Topic :: Desktop Environment :: Window Managers :: Enlightenment :: Themes DR17",
        "961": "Topic :: Desktop Environment :: Window Managers :: Fluxbox",
        "962": "Topic :: Desktop Environment :: Window Managers :: Fluxbox :: Themes",
        "928": "Topic :: Desktop Environment :: Window Managers :: FVWM",
        "929": "Topic :: Desktop Environment :: Window Managers :: FVWM :: Themes",
        "924": "Topic :: Desktop Environment :: Window Managers :: IceWM",
        "925": "Topic :: Desktop Environment :: Window Managers :: IceWM :: Themes",
        "1032": "Topic :: Desktop Environment :: Window Managers :: Kahakai",
        "1033": "Topic :: Desktop Environment :: Window Managers :: Kahakai :: Themes",
        "986": "Topic :: Desktop Environment :: Window Managers :: MetaCity",
        "987": "Topic :: Desktop Environment :: Window Managers :: MetaCity :: Themes",
        "1086": "Topic :: Desktop Environment :: Window Managers :: Openbox",
        "1087": "Topic :: Desktop Environment :: Window Managers :: Openbox :: Themes",
        "989": "Topic :: Desktop Environment :: Window Managers :: Oroborus",
        "990": "Topic :: Desktop Environment :: Window Managers :: Oroborus :: Themes",
        "926": "Topic :: Desktop Environment :: Window Managers :: Sawfish",
        "960": "Topic :: Desktop Environment :: Window Managers :: Sawfish :: Themes 0.30",
        "927": "Topic :: Desktop Environment :: Window Managers :: Sawfish :: Themes pre-0.30",
        "1092": "Topic :: Desktop Environment :: Window Managers :: SWM",
        "1093": "Topic :: Desktop Environment :: Window Managers :: SWM :: Themes",
        "1005": "Topic :: Desktop Environment :: Window Managers :: Waimea",
        "1006": "Topic :: Desktop Environment :: Window Managers :: Waimea :: Themes",
        "875": "Topic :: Desktop Environment :: Window Managers :: Window Maker",
        "876": "Topic :: Desktop Environment :: Window Managers :: Window Maker :: Applets",
        "918": "Topic :: Desktop Environment :: Window Managers :: Window Maker :: Themes",
        "1091": "Topic :: Desktop Environment :: Window Managers :: Window Maker :: Themes :: >= v0.60",
        "1090": "Topic :: Desktop Environment :: Window Managers :: Window Maker :: Themes :: <= v0.52",
        "963": "Topic :: Desktop Environment :: Window Managers :: XFCE",
        "964": "Topic :: Desktop Environment :: Window Managers :: XFCE :: Themes",
        "905": "Topic :: Documentation",
        "71": "Topic :: Education",
        "72": "Topic :: Education :: Computer Aided Instruction (CAI)",
        "73": "Topic :: Education :: Testing",
        "1081": "Topic :: freshmeat.net",
        "80": "Topic :: Games/Entertainment",
        "874": "Topic :: Games/Entertainment :: Arcade",
        "82": "Topic :: Games/Entertainment :: First Person Shooters",
        "895": "Topic :: Games/Entertainment :: Fortune Cookies",
        "86": "Topic :: Games/Entertainment :: Multi-User Dungeons (MUD)",
        "268": "Topic :: Games/Entertainment :: Puzzle Games",
        "81": "Topic :: Games/Entertainment :: Real Time Strategy",
        "84": "Topic :: Games/Entertainment :: Role-Playing",
        "85": "Topic :: Games/Entertainment :: Simulation",
        "83": "Topic :: Games/Entertainment :: Turn Based Strategy",
        "904": "Topic :: Home Automation",
        "1015": "Topic :: Information Management",
        "1018": "Topic :: Information Management :: Document Repositories",
        "1017": "Topic :: Information Management :: Issue Tracking",
        "1020": "Topic :: Information Management :: Metadata/Semantic Models",
        "1016": "Topic :: Information Management :: Records Management",
        "1019": "Topic :: Information Management :: Workflow Frameworks",
        "87": "Topic :: Internet",
        "89": "Topic :: Internet :: File Transfer Protocol (FTP)",
        "88": "Topic :: Internet :: Finger",
        "245": "Topic :: Internet :: Log Analysis",
        "149": "Topic :: Internet :: Name Service (DNS)",
        "907": "Topic :: Internet :: Proxy Servers",
        "90": "Topic :: Internet :: WWW/HTTP",
        "91": "Topic :: Internet :: WWW/HTTP :: Browsers",
        "92": "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
        "96": "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
        "95": "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Message Boards",
        "897": "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: News/Diary",
        "94": "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: Page Counters",
        "250": "Topic :: Internet :: WWW/HTTP :: HTTP Servers",
        "93": "Topic :: Internet :: WWW/HTTP :: Indexing/Search",
        "243": "Topic :: Internet :: WWW/HTTP :: Site Management",
        "244": "Topic :: Internet :: WWW/HTTP :: Site Management :: Link Checking",
        "894": "Topic :: Internet :: Z39.50",
        "99": "Topic :: Multimedia",
        "100": "Topic :: Multimedia :: Graphics",
        "109": "Topic :: Multimedia :: Graphics :: 3D Modeling",
        "110": "Topic :: Multimedia :: Graphics :: 3D Rendering",
        "101": "Topic :: Multimedia :: Graphics :: Capture",
        "103": "Topic :: Multimedia :: Graphics :: Capture :: Digital Camera",
        "102": "Topic :: Multimedia :: Graphics :: Capture :: Scanners",
        "104": "Topic :: Multimedia :: Graphics :: Capture :: Screen Capture",
        "106": "Topic :: Multimedia :: Graphics :: Editors",
        "108": "Topic :: Multimedia :: Graphics :: Editors :: Raster-Based",
        "107": "Topic :: Multimedia :: Graphics :: Editors :: Vector-Based",
        "105": "Topic :: Multimedia :: Graphics :: Graphics Conversion",
        "111": "Topic :: Multimedia :: Graphics :: Presentation",
        "112": "Topic :: Multimedia :: Graphics :: Viewers",
        "113": "Topic :: Multimedia :: Sound/Audio",
        "114": "Topic :: Multimedia :: Sound/Audio :: Analysis",
        "115": "Topic :: Multimedia :: Sound/Audio :: Capture/Recording",
        "116": "Topic :: Multimedia :: Sound/Audio :: CD Audio",
        "117": "Topic :: Multimedia :: Sound/Audio :: CD Audio :: CD Playing",
        "118": "Topic :: Multimedia :: Sound/Audio :: CD Audio :: CD Ripping",
        "845": "Topic :: Multimedia :: Sound/Audio :: CD Audio :: CD Writing",
        "119": "Topic :: Multimedia :: Sound/Audio :: Conversion",
        "120": "Topic :: Multimedia :: Sound/Audio :: Editors",
        "248": "Topic :: Multimedia :: Sound/Audio :: MIDI",
        "121": "Topic :: Multimedia :: Sound/Audio :: Mixers",
        "122": "Topic :: Multimedia :: Sound/Audio :: Players",
        "123": "Topic :: Multimedia :: Sound/Audio :: Players :: MP3",
        "249": "Topic :: Multimedia :: Sound/Audio :: Sound Synthesis",
        "124": "Topic :: Multimedia :: Sound/Audio :: Speech",
        "125": "Topic :: Multimedia :: Video",
        "126": "Topic :: Multimedia :: Video :: Capture",
        "127": "Topic :: Multimedia :: Video :: Conversion",
        "128": "Topic :: Multimedia :: Video :: Display",
        "256": "Topic :: Multimedia :: Video :: Non-Linear Editor",
        "129": "Topic :: Office/Business",
        "75": "Topic :: Office/Business :: Financial",
        "76": "Topic :: Office/Business :: Financial :: Accounting",
        "77": "Topic :: Office/Business :: Financial :: Investment",
        "79": "Topic :: Office/Business :: Financial :: Point-Of-Sale",
        "78": "Topic :: Office/Business :: Financial :: Spreadsheet",
        "917": "Topic :: Office/Business :: Groupware",
        "898": "Topic :: Office/Business :: News/Diary",
        "131": "Topic :: Office/Business :: Office Suites",
        "130": "Topic :: Office/Business :: Scheduling",
        "234": "Topic :: Other/Nonlisted Topic",
        "154": "Topic :: Printing",
        "132": "Topic :: Religion",
        "97": "Topic :: Scientific/Engineering",
        "1085": "Topic :: Scientific/Engineering :: Archeology",
        "133": "Topic :: Scientific/Engineering :: Artificial Intelligence",
        "134": "Topic :: Scientific/Engineering :: Astronomy",
        "252": "Topic :: Scientific/Engineering :: Bioinformatics",
        "813": "Topic :: Scientific/Engineering :: Chemistry",
        "246": "Topic :: Scientific/Engineering :: Electronic Design Automation (EDA)",
        "1030": "Topic :: Scientific/Engineering :: Geographical",
        "893": "Topic :: Scientific/Engineering :: Image Recognition",
        "98": "Topic :: Scientific/Engineering :: Mathematics",
        "266": "Topic :: Scientific/Engineering :: Medical Science Apps.",
        "1022": "Topic :: Scientific/Engineering :: Neuroscience",
        "135": "Topic :: Scientific/Engineering :: Visualization",
        "43": "Topic :: Security",
        "44": "Topic :: Security :: Cryptography",
        "45": "Topic :: Software Development",
        "872": "Topic :: Software Development :: Assemblers",
        "846": "Topic :: Software Development :: Bug Tracking",
        "46": "Topic :: Software Development :: Build Tools",
        "259": "Topic :: Software Development :: Code Generators",
        "48": "Topic :: Software Development :: Compilers",
        "47": "Topic :: Software Development :: Debuggers",
        "873": "Topic :: Software Development :: Disassemblers",
        "847": "Topic :: Software Development :: Documentation",
        "906": "Topic :: Software Development :: Embedded Systems",
        "1001": "Topic :: Software Development :: Internationalization",
        "49": "Topic :: Software Development :: Interpreters",
        "809": "Topic :: Software Development :: Libraries",
        "810": "Topic :: Software Development :: Libraries :: Application Frameworks",
        "913": "Topic :: Software Development :: Libraries :: Java Libraries",
        "910": "Topic :: Software Development :: Libraries :: Perl Modules",
        "914": "Topic :: Software Development :: Libraries :: PHP Classes",
        "915": "Topic :: Software Development :: Libraries :: Pike Modules",
        "912": "Topic :: Software Development :: Libraries :: Python Modules",
        "955": "Topic :: Software Development :: Libraries :: Ruby Modules",
        "911": "Topic :: Software Development :: Libraries :: Tcl Extensions",
        "1002": "Topic :: Software Development :: Localization",
        "50": "Topic :: Software Development :: Object Brokering",
        "51": "Topic :: Software Development :: Object Brokering :: CORBA",
        "916": "Topic :: Software Development :: Pre-processors",
        "822": "Topic :: Software Development :: Quality Assurance",
        "836": "Topic :: Software Development :: Testing",
        "863": "Topic :: Software Development :: Testing :: Traffic Generation",
        "909": "Topic :: Software Development :: User Interfaces",
        "52": "Topic :: Software Development :: Version Control",
        "53": "Topic :: Software Development :: Version Control :: CVS",
        "54": "Topic :: Software Development :: Version Control :: RCS",
        "260": "Topic :: Software Development :: Version Control :: SCCS",
        "851": "Topic :: Software Development :: Widget Sets",
        "136": "Topic :: System",
        "19": "Topic :: System :: Archiving",
        "137": "Topic :: System :: Archiving :: Backup",
        "42": "Topic :: System :: Archiving :: Compression",
        "886": "Topic :: System :: Archiving :: Mirroring",
        "41": "Topic :: System :: Archiving :: Packaging",
        "138": "Topic :: System :: Benchmark",
        "139": "Topic :: System :: Boot",
        "140": "Topic :: System :: Boot :: Init",
        "141": "Topic :: System :: Clustering/Distributed Networks",
        "879": "Topic :: System :: Console Fonts",
        "1031": "Topic :: System :: Diagnostics",
        "74": "Topic :: System :: Emulators",
        "142": "Topic :: System :: Filesystems",
        "146": "Topic :: System :: Hardware",
        "147": "Topic :: System :: Installation/Setup",
        "148": "Topic :: System :: Logging",
        "862": "Topic :: System :: Monitoring",
        "150": "Topic :: System :: Networking",
        "151": "Topic :: System :: Networking :: Firewalls",
        "152": "Topic :: System :: Networking :: Monitoring",
        "155": "Topic :: System :: Networking :: Monitoring :: Hardware Watchdog",
        "903": "Topic :: System :: Networking :: Time Synchronization",
        "864": "Topic :: System :: Operating System",
        "1011": "Topic :: System :: Operating System :: Linux Distributions",
        "1012": "Topic :: System :: Operating System :: Linux Distributions :: CD-Based",
        "1013": "Topic :: System :: Operating System :: Linux Distributions :: Floppy-Based",
        "144": "Topic :: System :: Operating System Kernels",
        "145": "Topic :: System :: Operating System Kernels :: BSD",
        "239": "Topic :: System :: Operating System Kernels :: GNU Hurd",
        "143": "Topic :: System :: Operating System Kernels :: Linux",
        "153": "Topic :: System :: Power (UPS)",
        "866": "Topic :: System :: Recovery Tools",
        "884": "Topic :: System :: Shells",
        "257": "Topic :: System :: Software Distribution",
        "865": "Topic :: System :: Software Distribution Tools",
        "253": "Topic :: System :: Systems Administration",
        "156": "Topic :: Terminals",
        "157": "Topic :: Terminals :: Serial",
        "159": "Topic :: Terminals :: Telnet",
        "158": "Topic :: Terminals :: Terminal Emulators/X Terminals",
        "63": "Topic :: Text Editors",
        "69": "Topic :: Text Editors :: Documentation",
        "64": "Topic :: Text Editors :: Emacs",
        "65": "Topic :: Text Editors :: Integrated Development Environments (IDE)",
        "70": "Topic :: Text Editors :: Word Processors",
        "849": "Topic :: Text Processing",
        "857": "Topic :: Text Processing :: Filters",
        "859": "Topic :: Text Processing :: Fonts",
        "852": "Topic :: Text Processing :: General",
        "856": "Topic :: Text Processing :: Indexing",
        "858": "Topic :: Text Processing :: Linguistic",
        "853": "Topic :: Text Processing :: Markup",
        "1027": "Topic :: Text Processing :: Markup :: DocBook",
        "1026": "Topic :: Text Processing :: Markup :: DSSSL",
        "867": "Topic :: Text Processing :: Markup :: HTML/XHTML",
        "855": "Topic :: Text Processing :: Markup :: SGML",
        "854": "Topic :: Text Processing :: Markup :: TeX/LaTeX",
        "908": "Topic :: Text Processing :: Markup :: VRML",
        "868": "Topic :: Text Processing :: Markup :: XML",
        "1025": "Topic :: Text Processing :: Markup :: XSL/XSLT",
        "861": "Topic :: Utilities",
        "1045": "Translations",
        "1050": "Translations :: Afrikaans",
        "1051": "Translations :: Arabic",
        "1052": "Translations :: Bulgarian",
        "1053": "Translations :: Chinese",
        "1054": "Translations :: Croatian",
        "1055": "Translations :: Czech",
        "1056": "Translations :: Danish",
        "1057": "Translations :: Dutch",
        "1047": "Translations :: English",
        "1058": "Translations :: Finnish",
        "1049": "Translations :: French",
        "1046": "Translations :: German",
        "1059": "Translations :: Greek",
        "1060": "Translations :: Hebrew",
        "1061": "Translations :: Hungarian",
        "1062": "Translations :: Indonesian",
        "1063": "Translations :: Irish",
        "1064": "Translations :: Italian",
        "1065": "Translations :: Japanese",
        "1066": "Translations :: Korean",
        "1067": "Translations :: Latin",
        "1080": "Translations :: Latvian",
        "1068": "Translations :: Norwegian",
        "1069": "Translations :: Polish",
        "1070": "Translations :: Portuguese",
        "1071": "Translations :: Romanian",
        "1072": "Translations :: Russian",
        "1073": "Translations :: Serbian",
        "1075": "Translations :: Slovak",
        "1074": "Translations :: Slovenian",
        "1048": "Translations :: Spanish",
        "1076": "Translations :: Swedish",
        "1077": "Translations :: Turkish",
        "1078": "Translations :: Ukrainian",
        "1079": "Translations :: Vietnamese",
}
